# Generated by Django 4.0.4 on 2022-06-06 08:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('general', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Persona',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identidad', models.CharField(help_text='Numero único de identificación', max_length=20, verbose_name='Identificación')),
                ('primer_nombre', models.CharField(db_index=True, help_text='Primer nombre', max_length=60, verbose_name='Primer Nombre')),
                ('segundo_nombre', models.CharField(blank=True, help_text='Segundo nombre', max_length=60, null=True, verbose_name='Segundo Nombre')),
                ('primer_apellido', models.CharField(db_index=True, help_text='Primer apellido', max_length=60, verbose_name='Primer Apellido')),
                ('segundo_apellido', models.CharField(blank=True, help_text='Segundo apellido', max_length=60, null=True, verbose_name='Segundo Apellido')),
                ('sexo', models.CharField(choices=[('F', 'Femenino'), ('M', 'Masculino'), ('O', 'Otro')], help_text='Sexo', max_length=1)),
                ('fecha_nacimiento', models.DateTimeField(help_text='Fecha de nacimiento', verbose_name='Fecha de Nacimiento')),
                ('direccion', models.CharField(blank=True, help_text='Dirección exacta de la persona', max_length=200, null=True)),
                ('telefono', models.CharField(blank=True, help_text='Teléfono de domicilio de la persona', max_length=9, null=True, verbose_name='Teléfono')),
                ('lugar_nacimiento', models.CharField(blank=True, help_text='Lugar de Nacimiento', max_length=150, null=True, verbose_name='Lugar de Nacimiento')),
                ('correo', models.EmailField(blank=True, help_text='Correo electrónico que actualmente utiliza', max_length=254, null=True, verbose_name='Correo Electrónico')),
                ('correo_institucional', models.EmailField(blank=True, help_text='Correo electrónico asignado por la SEDUC', max_length=254, null=True, verbose_name='Correo Electrónico Institucional')),
                ('fecha_creacion', models.DateTimeField(auto_now_add=True, null=True)),
                ('fecha_modificacion', models.DateTimeField(auto_now=True, null=True)),
                ('rnp', models.BooleanField(default=False)),
                ('img', models.ImageField(blank=True, null=True, upload_to='usuarios', verbose_name='Archivo(Max:500MB)')),
                ('domicilio', models.ForeignKey(blank=True, help_text='Domicilio actual de la persona', null=True, on_delete=django.db.models.deletion.CASCADE, to='general.municipio', verbose_name='Municipio')),
                ('usuario_creador', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='persona_creador', to=settings.AUTH_USER_MODEL)),
                ('usuario_modifico', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='persona_modificador', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('identidad',)},
            },
        ),
        migrations.CreateModel(
            name='PersonaUsuario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha', models.DateField(auto_now_add=True)),
                ('login_count', models.PositiveIntegerField(default=0)),
                ('persona', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='persona_usuarios', to='Admin_Cuenta.persona')),
                ('usuario', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='usuario_persona', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('persona', 'usuario')},
            },
        ),
    ]
